///
/// Solid State by HTML5 UP
/// html5up.net | @ajlkn
/// Free for personal and commercial use under the CCA 3.0 license (html5up.net/license)
///
/*
 * Presenter Club - Make Great Presentations, Faster
 * Copyright (C) 2016 Sam Parkinson <sam@sam.today>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */


/* Button */

input[type="submit"],
input[type="reset"],
input[type="button"],
button,
.button {
    @include vendor('appearance', 'none');
    @include vendor('transition', 'background-color #{_duration(transition)} ease-in-out');
    background-color: transparent;
    border-radius: _size(border-radius);
    border: 1px solid _palette(border);
    cursor: pointer;
    display: inline-block;

    color: inherit;
    font-family: _font(family-heading);
    font-size: 0.8em;
    font-weight: _font(weight-heading-bold);

    height: 3.75em;
    letter-spacing: _font(kern-heading);
    line-height: 3.75em;
    padding: 0 2.25em;
    text-align: center;
    text-decoration: none;
    text-transform: uppercase;
    white-space: nowrap;
    @include unselectable();

    &.join-leftmost {
        border-top-right-radius: 0;
        border-bottom-right-radius: 0;
    }

    &.join-rightmost {
        margin-left: 0 !important;
        border-top-left-radius: 0;
        border-bottom-left-radius: 0;
    }
    &.join {
        margin-left: 0 !important;
        border-radius: 0;
    }

    &:hover {
        background-color: _palette(border-bg);
    }

    &:active {
        background-color: _palette(border2-bg);
    }

    &.icon {
        &:before {
                margin-right: 0.5em;
                color: _palette(fg-light);
        }
    }

    &.special {
        background-color: _palette(accent);
        border: none;
        color: white;

        &:hover {
            background-color: desaturate(lighten(_palette(accent), 3), 1.5);
        }

        &:active {
            background-color: saturate(darken(_palette(accent), 3), 1.5);
        }
    }

    &.fit {
        display: block;
        margin: 0 0 (_size(element-margin) * 0.5) 0;
        width: 100%;
    }

    &.small {
        font-size: 0.6em;
    }

    &.big {
        font-size: 1em;
    }

    &.disabled,
    &:disabled {
        opacity: 0.25;
        cursor: not-allowed;
    }

    @include breakpoint(xsmall) {
        padding: 0 1em;
    }
}

.TitleBar__edit {
    margin-left: 0.5em;
}
.TitleBar__privacy {
    margin-right: 0.5em;
}

/* Disable the dotted focus border in Firefox */
::-moz-focus-inner {
    border: 0;
}
